﻿using System;

namespace SimpleDataStructures
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                SimpleList<int> list = new SimpleList<int>();
                list.Insert(0, 2);
                list.Insert(0, 4);
                list.Insert(0, 8, 6);
                list.Insert(2, 12);
                list.Insert(2, 14);
                list.Insert(2, 16);
                list.Insert(2, 18);
                list.Remove(1);
                list.Remove(2);
                Console.Error.WriteLine(list.ToString());

                SimpleStack<string> stack = new SimpleStack<string>(3);
                stack.Push("a");
                stack.Push("b");
                stack.Push("c");
                stack.Push("d");
                stack.Pop();
                stack.Push("e");
                Console.Error.WriteLine(stack.ToString());
            }
            catch (Exception ex)
            {
                Console.WriteLine("Exception was thrown while testing list or stack, details follow");
                Console.WriteLine(ex.GetType().ToString());
                Console.WriteLine(ex.StackTrace);
            }
            Console.ReadKey();
        }
    }
}
